EaBIM一直以来积极响应国家“十二五”推进建筑业信息化的号召,对建筑领域的信息技术开展深入技术交流和探讨!致力于打造“BIM-建筑师-生态技术”三位一体综合资源交流共享平台,希望为BIM与可持续设计理念及技术的普及做出微小的贡献!!!

fjz666 发表于 2017-4-18 11:03:23

大神求助看看这个代码怎么改才能用

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.ApplicationServices;
using Autodesk.Revit.Attributes;
using Autodesk.Revit.UI.Selection;




public class RevitCommand : IExternalCommand
{
    public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements)
    {
   
       FilteredElementCollector collector = new FilteredElementCollector(document);
       ICollection<Element>collection=collector.OfClass(typeof(FamilySymbol)).ToElements();


foreach (Element d in collection)
{
familysymbol = d as FamilySymbol;
if (null != familysymbol.Category)
    {
   if (familysymbol.Name == "自建族名称")
       {
      fs = familysymbol as Family Symbol;
      break;
      }
   }
}

a = curve.Length * 304.8;
b = 7200.00;
while (c < 1)
{
XYZ location = new XYZ(curve.Evaluate(c, true).X, curve.Evaluate(c, true).Y , curve.Evaluate(c, true).Z);
Family Instanceinstance=document.Create.New Family Instance(location,fs,
Structural Type.Non Structural);
i += 1;
c = b * i / a;
}
    }
}

EaBIM门户编辑 发表于 2017-5-8 10:14:27

很好。 来学习一下

EaBIM门户编辑 发表于 2017-5-16 10:33:52

来学习

EaBIM门户编辑 发表于 2017-5-23 10:28:28

只想充实在知识的海洋

EaBIM门户编辑 发表于 2017-5-26 10:17:36

很好的呢
页: [1]
查看完整版本: 大神求助看看这个代码怎么改才能用